curl -X DELETE "https://app.usatimbre.com/api/profile/XAXX010101000" \
-H "Authorization: Bearer tmb_your_api_key_here"
const response = await fetch('https://app.usatimbre.com/api/profile/XAXX010101000', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer tmb_your_api_key_here'
}
});
const result = await response.json();
import requests
response = requests.delete(
'https://app.usatimbre.com/api/profile/XAXX010101000',
headers={'Authorization': 'Bearer tmb_your_api_key_here'}
)
result = response.json()
{
"success": true,
"message": "Profile deleted successfully"
}
{
"error": "Bad Request",
"message": "Cannot delete profile with existing invoices"
}
{
"error": "Not Found",
"message": "Profile not found"
}
Gestión de Perfiles
Delete Profile
Delete a profile
DELETE
/
api
/
profile
/
{rfc}
curl -X DELETE "https://app.usatimbre.com/api/profile/XAXX010101000" \
-H "Authorization: Bearer tmb_your_api_key_here"
const response = await fetch('https://app.usatimbre.com/api/profile/XAXX010101000', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer tmb_your_api_key_here'
}
});
const result = await response.json();
import requests
response = requests.delete(
'https://app.usatimbre.com/api/profile/XAXX010101000',
headers={'Authorization': 'Bearer tmb_your_api_key_here'}
)
result = response.json()
{
"success": true,
"message": "Profile deleted successfully"
}
{
"error": "Bad Request",
"message": "Cannot delete profile with existing invoices"
}
{
"error": "Not Found",
"message": "Profile not found"
}
Overview
Delete a profile from the system. This operation will fail if the profile has existing invoices or subprofiles with requests.This action is irreversible. Make sure you want to permanently delete this profile before proceeding.
Path Parameters
string
required
The RFC (Mexican tax ID) or UUID of the profile to delete
Response
Returns a success message on successful deletion.boolean
Whether the deletion was successful
string
Confirmation message
curl -X DELETE "https://app.usatimbre.com/api/profile/XAXX010101000" \
-H "Authorization: Bearer tmb_your_api_key_here"
const response = await fetch('https://app.usatimbre.com/api/profile/XAXX010101000', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer tmb_your_api_key_here'
}
});
const result = await response.json();
import requests
response = requests.delete(
'https://app.usatimbre.com/api/profile/XAXX010101000',
headers={'Authorization': 'Bearer tmb_your_api_key_here'}
)
result = response.json()
{
"success": true,
"message": "Profile deleted successfully"
}
{
"error": "Bad Request",
"message": "Cannot delete profile with existing invoices"
}
{
"error": "Not Found",
"message": "Profile not found"
}